xine-lib: xine-lib-1.2.13/src/post/deinterlace/plugins/linear.c File Reference

xine-lib 1.2.13-20230125hg15249

Functions | Variables
linear.c File Reference
`#include <stdio.h>`
`#include <stdint.h>`
`#include "speedy.h"`
`#include "deinterlace.h"`
`#include "plugins.h"`

## Functions
static void | deinterlace_scanline_linear (uint8_t *output, deinterlace_scanline_data_t *data, int width)
static void | copy_scanline (uint8_t *output, deinterlace_scanline_data_t *data, int width)
const deinterlace_method_t * | linear_get_method (void)

## Variables
static const deinterlace_method_t | linearmethod

## Function Documentation

## ◆ copy_scanline()

static void copy_scanline | ( | uint8_t * | output,
|  | deinterlace_scanline_data_t * | data,
|  | int | width )
| static

References blit_packed422_scanline, deinterlace_scanline_data_s::m0, and width.

## ◆ deinterlace_scanline_linear()

static void deinterlace_scanline_linear | ( | uint8_t * | output,
|  | deinterlace_scanline_data_t * | data,
|  | int | width )
| static

Copyright (C) 2002 Billy Biggs vekto.nosp@m.r@du.nosp@m.mbter.nosp@m.m.ne.nosp@m.t.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

References deinterlace_scanline_data_s::b0, interpolate_packed422_scanline, deinterlace_scanline_data_s::t0, and width.

## ◆ linear_get_method()

const deinterlace_method_t * linear_get_method | ( | void |  | ) |

References linearmethod.

Referenced by deinterlace_init_plugin().

## Variable Documentation

## ◆ linearmethod

const deinterlace_method_t linearmethod
| static

Initial value:
=
{
"Linear Interpolation",
"Linear",
1,
0,
0,
1,
deinterlace_scanline_linear,
copy_scanline,
0,
0,
"Expands each field independently without blurring or copying in time. "
"Use this if you want TV-quality with low CPU, and you have configured "
"your monitor to run at the refresh rate of the video signal.\n"
"\n"
"Full resolution mode expands each field to full size for high quality "
"fullscreen use."
}
deinterlace_scanline_linear
static void deinterlace_scanline_linear(uint8_t *output, deinterlace_scanline_data_t *data, int width)
Definition linear.c:36
copy_scanline
static void copy_scanline(uint8_t *output, deinterlace_scanline_data_t *data, int width)
Definition linear.c:43

Referenced by linear_get_method().